Package org.apache.sling.testing.resourceresolver

# Interface MockFindResourcesHandler

@ConsumerType public interface MockFindResourcesHandler
Can provide a result when finding resources using a certain query/language.

## Method Summary

Modifier and Type
Method
Description
`@Nullable Iterator<org.apache.sling.api.resource.Resource>`
`findResources(@NotNull String query, String language)`

## Method Details

### findResources

@Nullable @Nullable Iterator<org.apache.sling.api.resource.Resource> findResources(@NotNull @NotNull String query, String language)

Parameters:
  `query` - Query
  `language` - Language
Returns:
  Returns a non-null value if a mocked result is available